%  Copyright (C) 2010 Ville-Petteri Makinen
%
%  This program is free software; you can redistribute it and/or
%  modify it under the terms of the GNU General Public License
%  as published by the Free Software Foundation; either version 2
%  of the License, or (at your option) any later version.
%
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License for more details.
%
%  You should have received a copy of the GNU General Public License
%  along with this program; if not, write to the
%  Free Software Foundation, Inc.,
%  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
%
%  CITATION:
%  Niemi J, Mäkinen VP, Heikkonen J, Tenkanen L, Hiltunen Y, Hannuksela ML,
%  Jauhiainen M, Forsblom C, Taskinen MR, Kesäniemi YA, Savolainen MJ,
%  Kaski K, Groop PH, Kovanen PT, Ala-Korpela M. Estimation of VLDL, IDL, LDL,
%  HDL2, apoA-I, and apoB from the Friedewald inputs--apoB and IDL, but not
%  LDL, are associated with mortality in type 1 diabetes. Ann Med.
%  2009;41(6):451-61. doi: 10.1080/07853890902893392. PMID: 19412820.
%

% To run this example, first install Octave on your computer.
% Start the Octave command prompt and set the working directory
% to where you unpacked the Lipido file archive.

% Create data.
x_tg = [1.2 1.5 2.0 1.3]';
x_chol = [4.5 6.1 6.2 5.0]';
x_hdlc = [1.4 1.4 1.2 1.1]';

% Run extended Friedewald formula.
% Make sure that the file 'mlpcom_extfrie.oct' is in the current
% working directory, otherwise the function will not work.
[y, yhdr] = extfried_exec(x_hdlc, x_chol, x_tg, 'mmol/l')
